package core.notevault.data;

import androidx.room.*;

import java.util.List;

@Dao
public interface MusicNoteDAO {

    @Insert
    long insert(MusicNote musicNote);

    @Insert
    void insertNoteSheet(NoteSheet noteSheet);

    @Query("SELECT * FROM music_notes")
    List<MusicNote> getAllNotes();

    @Query("SELECT * FROM note_sheets WHERE musicNoteId = :musicNoteId")
    List<NoteSheet> getNoteSheetsForMusicSong(long musicNoteId);

    @Insert
    void insertConcert(Concert concert);

    @Query("SELECT * FROM concerts")
    List<Concert> getAllConcerts();

    @Delete
    void deleteConcert(Concert concert);

    @Update
    void updateConcert(Concert concert);

    @Delete
    void deleteSong(MusicNote musicNote);
}
